Kea: isc::netconf Namespace Reference

| Kea 3.2.0-git

isc::netconf Namespace Reference

## Classes
class | CfgControlSocket
| Represents a Control Socket. More...
class | CfgServer
| Represents a Managed CfgServer. More...
class | ControlSocketBase
| Base class for control socket communication. More...
class | ControlSocketConfigParser
| Parser for CfgControlSocket. More...
class | ControlSocketError
| Exception thrown when the error during communication. More...
class | HttpControlSocket
| Class for control socket communication over HTTP socket. More...
class | NetconfAgent
| Netconf agent. More...
class | NetconfCfgMgr
| Ctrl Netconf Configuration Manager. More...
class | NetconfConfig
| Netconf Configuration Context. More...
class | NetconfController
| Process Controller for Netconf Process. More...
class | NetconfParser
| A Bison parser. More...
class | NetconfProcess
| Kea Netconf Application Process. More...
class | NetconfSimpleParser
class | ParserContext
| Parser context is a wrapper around flex/bison instances dedicated to Netconf-agent config file parser. More...
class | ServerConfigParser
| Parser for CfgServer. More...
class | StdoutControlSocket
| Class for control socket communication over stdout. More...
class | UnixControlSocket
| Class for control socket communication over UNIX socket. More...

## Typedefs
using | CfgControlSocketPtr = std::shared_ptr<CfgControlSocket>
| Defines a pointer for CfgControlSocket instances.
using | CfgServerPtr = std::shared_ptr<CfgServer>
| Defines a pointer for CfgServer instances.
using | CfgServersMap = std::unordered_map<std::string, CfgServerPtr>
| Defines a map of CfgServers, keyed by the name.
using | CfgServersMapPair = std::pair<std::string, CfgServerPtr>
| Defines a iterator pairing of name and CfgServer.
using | CfgServersMapPtr = std::shared_ptr<CfgServersMap>
| Defines a pointer to map of CfgServers.
using | ControlSocketBasePtr = std::shared_ptr<ControlSocketBase>
| Type definition for the pointer to the `ControlSocketBase`.
using | HttpControlSocketPtr = std::shared_ptr<HttpControlSocket>
| Type definition for the pointer to the `HttpControlSocket`.
using | NetconfAgentPtr = std::shared_ptr<NetconfAgent>
| Type definition for the pointer to the `NetconfAgent`.
using | NetconfCfgMgrPtr = boost::shared_ptr<NetconfCfgMgr>
| Defines a shared pointer to NetconfCfgMgr.
using | NetconfConfigPtr = boost::shared_ptr<NetconfConfig>
| Pointer to a configuration context.
using | NetconfControllerPtr = std::shared_ptr<NetconfController>
using | NetconfProcessPtr = boost::shared_ptr<NetconfProcess>
| Defines a shared pointer to NetconfProcess.
using | StdoutControlSocketPtr = std::shared_ptr<StdoutControlSocket>
| Type definition for the pointer to the `StdoutControlSocket`.
using | UnixControlSocketPtr = std::shared_ptr<UnixControlSocket>
| Type definition for the pointer to the `UnixControlSocket`.

## Functions
ControlSocketBasePtr | controlSocketFactory (CfgControlSocketPtr ctrl_sock)
| Factory function for control sockets.
template<CfgControlSocket::Type TYPE>
ControlSocketBasePtr | createControlSocket (CfgControlSocketPtr)
| Factory template for control sockets.
template<>
ControlSocketBasePtr | createControlSocket< CfgControlSocket::Type::HTTP > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for http control sockets.
template<>
ControlSocketBasePtr | createControlSocket< CfgControlSocket::Type::HTTP > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for http control sockets.
template<>
ControlSocketBasePtr | createControlSocket< CfgControlSocket::Type::STDOUT > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for stdout control sockets.
template<>
ControlSocketBasePtr | createControlSocket< CfgControlSocket::Type::STDOUT > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for stdout control sockets.
template<>
ControlSocketBasePtr | createControlSocket< CfgControlSocket::Type::UNIX > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for unix control sockets.
template<>
ControlSocketBasePtr | createControlSocket< CfgControlSocket::Type::UNIX > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for unix control sockets.
ostream & | operator<< (std::ostream &os, const CfgServer &server)
| Dumps the contents of a CfgServer as text to a output stream.

## Variables
const isc::log::MessageID | NETCONF_BOOT_UPDATE_COMPLETED = "NETCONF_BOOT_UPDATE_COMPLETED"
const isc::log::MessageID | NETCONF_CONFIG_CHANGE_EVENT = "NETCONF_CONFIG_CHANGE_EVENT"
const isc::log::MessageID | NETCONF_CONFIG_CHANGED_DETAIL = "NETCONF_CONFIG_CHANGED_DETAIL"
const isc::log::MessageID | NETCONF_CONFIG_CHECK_FAIL = "NETCONF_CONFIG_CHECK_FAIL"
const isc::log::MessageID | NETCONF_CONFIG_FAIL = "NETCONF_CONFIG_FAIL"
const isc::log::MessageID | NETCONF_CONFIG_SYNTAX_WARNING = "NETCONF_CONFIG_SYNTAX_WARNING"
const isc::log::MessageID | NETCONF_CONTROL_SOCKET_INFO = "NETCONF_CONTROL_SOCKET_INFO"
const isc::log::MessageID | NETCONF_FAILED = "NETCONF_FAILED"
const isc::log::MessageID | NETCONF_GET_CONFIG = "NETCONF_GET_CONFIG"
const isc::log::MessageID | NETCONF_GET_CONFIG_FAILED = "NETCONF_GET_CONFIG_FAILED"
const isc::log::MessageID | NETCONF_GET_CONFIG_STARTED = "NETCONF_GET_CONFIG_STARTED"
isc::log::Logger | netconf_logger (NETCONF_LOGGER_NAME)
| Base logger for the netconf agent.
const char * | NETCONF_LOGGER_NAME = "netconf"
| Defines the name of the root level (default) logger.
const isc::log::MessageID | NETCONF_MODULE_CHANGE_INTERNAL_ERROR = "NETCONF_MODULE_CHANGE_INTERNAL_ERROR"
const isc::log::MessageID | NETCONF_MODULE_MISSING_ERR = "NETCONF_MODULE_MISSING_ERR"
const isc::log::MessageID | NETCONF_MODULE_MISSING_WARN = "NETCONF_MODULE_MISSING_WARN"
const isc::log::MessageID | NETCONF_MODULE_REVISION_ERR = "NETCONF_MODULE_REVISION_ERR"
const isc::log::MessageID | NETCONF_MODULE_REVISION_WARN = "NETCONF_MODULE_REVISION_WARN"
const isc::log::MessageID | NETCONF_NOT_SUBSCRIBED_TO_NOTIFICATIONS = "NETCONF_NOT_SUBSCRIBED_TO_NOTIFICATIONS"
const isc::log::MessageID | NETCONF_NOTIFICATION_INTERNAL_ERROR = "NETCONF_NOTIFICATION_INTERNAL_ERROR"
const isc::log::MessageID | NETCONF_NOTIFICATION_RECEIVED = "NETCONF_NOTIFICATION_RECEIVED"
const isc::log::MessageID | NETCONF_RUN_EXIT = "NETCONF_RUN_EXIT"
const isc::log::MessageID | NETCONF_SET_CONFIG = "NETCONF_SET_CONFIG"
const isc::log::MessageID | NETCONF_SET_CONFIG_FAILED = "NETCONF_SET_CONFIG_FAILED"
const isc::log::MessageID | NETCONF_SET_CONFIG_STARTED = "NETCONF_SET_CONFIG_STARTED"
const isc::log::MessageID | NETCONF_STARTED = "NETCONF_STARTED"
const isc::log::MessageID | NETCONF_SUBSCRIBE_CONFIG = "NETCONF_SUBSCRIBE_CONFIG"
const isc::log::MessageID | NETCONF_SUBSCRIBE_CONFIG_FAILED = "NETCONF_SUBSCRIBE_CONFIG_FAILED"
const isc::log::MessageID | NETCONF_SUBSCRIBE_NOTIFICATIONS = "NETCONF_SUBSCRIBE_NOTIFICATIONS"
const isc::log::MessageID | NETCONF_UPDATE_CONFIG = "NETCONF_UPDATE_CONFIG"
const isc::log::MessageID | NETCONF_UPDATE_CONFIG_COMPLETED = "NETCONF_UPDATE_CONFIG_COMPLETED"
const isc::log::MessageID | NETCONF_UPDATE_CONFIG_FAILED = "NETCONF_UPDATE_CONFIG_FAILED"
const isc::log::MessageID | NETCONF_UPDATE_CONFIG_STARTED = "NETCONF_UPDATE_CONFIG_STARTED"
const isc::log::MessageID | NETCONF_VALIDATE_CONFIG = "NETCONF_VALIDATE_CONFIG"
const isc::log::MessageID | NETCONF_VALIDATE_CONFIG_COMPLETED = "NETCONF_VALIDATE_CONFIG_COMPLETED"
const isc::log::MessageID | NETCONF_VALIDATE_CONFIG_FAILED = "NETCONF_VALIDATE_CONFIG_FAILED"
const isc::log::MessageID | NETCONF_VALIDATE_CONFIG_REJECTED = "NETCONF_VALIDATE_CONFIG_REJECTED"
const isc::log::MessageID | NETCONF_VALIDATE_CONFIG_STARTED = "NETCONF_VALIDATE_CONFIG_STARTED"
const int | NETCONF_DBG_TRACE = isc::log::DBGLVL_TRACE_BASIC
| Netconf agent logging levels.
const int | NETCONF_DBG_RESULTS = isc::log::DBGLVL_TRACE_BASIC_DATA
| Records the results of the commands.
const int | NETCONF_DBG_TRACE_DETAIL_DATA = isc::log::DBGLVL_TRACE_DETAIL_DATA
| Additional information.

## Typedef Documentation

## ◆ CfgControlSocketPtr

using isc::netconf::CfgControlSocketPtr = std::shared_ptr<CfgControlSocket>

Defines a pointer for CfgControlSocket instances.

Definition at line 143 of file netconf_config.h.

## ◆ CfgServerPtr

using isc::netconf::CfgServerPtr = std::shared_ptr<CfgServer>

Defines a pointer for CfgServer instances.

Definition at line 272 of file netconf_config.h.

## ◆ CfgServersMap

using isc::netconf::CfgServersMap = std::unordered_map<std::string, CfgServerPtr>

Defines a map of CfgServers, keyed by the name.

Definition at line 275 of file netconf_config.h.

## ◆ CfgServersMapPair

using isc::netconf::CfgServersMapPair = std::pair<std::string, CfgServerPtr>

Defines a iterator pairing of name and CfgServer.

Definition at line 278 of file netconf_config.h.

## ◆ CfgServersMapPtr

using isc::netconf::CfgServersMapPtr = std::shared_ptr<CfgServersMap>

Defines a pointer to map of CfgServers.

Definition at line 281 of file netconf_config.h.

## ◆ ControlSocketBasePtr

using isc::netconf::ControlSocketBasePtr = std::shared_ptr<ControlSocketBase>

Type definition for the pointer to the `ControlSocketBase`.

Definition at line 106 of file control_socket.h.

## ◆ HttpControlSocketPtr

using isc::netconf::HttpControlSocketPtr = std::shared_ptr<HttpControlSocket>

Type definition for the pointer to the `HttpControlSocket`.

Definition at line 76 of file http_control_socket.h.

## ◆ NetconfAgentPtr

using isc::netconf::NetconfAgentPtr = std::shared_ptr<NetconfAgent>

Type definition for the pointer to the `NetconfAgent`.

Definition at line 38 of file netconf.h.

## ◆ NetconfCfgMgrPtr

using isc::netconf::NetconfCfgMgrPtr = boost::shared_ptr<NetconfCfgMgr>

Defines a shared pointer to NetconfCfgMgr.

Definition at line 176 of file netconf_cfg_mgr.h.

## ◆ NetconfConfigPtr

using isc::netconf::NetconfConfigPtr = boost::shared_ptr<NetconfConfig>

Pointer to a configuration context.

Definition at line 22 of file netconf_cfg_mgr.h.

## ◆ NetconfControllerPtr

using isc::netconf::NetconfControllerPtr = std::shared_ptr<NetconfController>

Definition at line 78 of file netconf_controller.h.

## ◆ NetconfProcessPtr

using isc::netconf::NetconfProcessPtr = boost::shared_ptr<NetconfProcess>

Defines a shared pointer to NetconfProcess.

Definition at line 99 of file netconf_process.h.

## ◆ StdoutControlSocketPtr

using isc::netconf::StdoutControlSocketPtr = std::shared_ptr<StdoutControlSocket>

Type definition for the pointer to the `StdoutControlSocket`.

Definition at line 78 of file stdout_control_socket.h.

## ◆ UnixControlSocketPtr

using isc::netconf::UnixControlSocketPtr = std::shared_ptr<UnixControlSocket>

Type definition for the pointer to the `UnixControlSocket`.

Definition at line 76 of file unix_control_socket.h.

## Function Documentation

## ◆ controlSocketFactory()

ControlSocketBasePtr isc::netconf::controlSocketFactory | ( | CfgControlSocketPtr | ctrl_sock | ) |

Factory function for control sockets.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a control socket communication object.

Exceptions

  BadValue | if called with null or an unknown type.

Definition at line 23 of file control_socket.cc.

References createControlSocket(), isc::netconf::CfgControlSocket::getType(), isc::netconf::CfgControlSocket::HTTP, isc_throw, isc::netconf::CfgControlSocket::STDOUT, and isc::netconf::CfgControlSocket::UNIX.

Referenced by isc::netconf::NetconfAgent::change(), isc::netconf::NetconfAgent::done(), isc::netconf::NetconfAgent::keaConfig(), and isc::netconf::NetconfAgent::yangConfig().

Here is the call graph for this function:

## ◆ createControlSocket()

template<CfgControlSocket::Type TYPE>

ControlSocketBasePtr isc::netconf::createControlSocket | ( | CfgControlSocketPtr |  | ) |

Factory template for control sockets.

Template Parameters

  TYPE | The control socket type.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a control socket communication object.

Exceptions

  NotImplemented | if no specialization was called.

Definition at line 116 of file control_socket.h.

References isc_throw.

Referenced by controlSocketFactory().

## ◆ createControlSocket< CfgControlSocket::Type::HTTP >() [1/2]

template<>

ControlSocketBasePtr isc::netconf::createControlSocket< CfgControlSocket::Type::HTTP > | ( | CfgControlSocketPtr | ctrl_sock | ) |

Factory template specialization for http control sockets.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a http control socket communication object.

Definition at line 31 of file http_control_socket.cc.

## ◆ createControlSocket< CfgControlSocket::Type::HTTP >() [2/2]

template<>

ControlSocketBasePtr isc::netconf::createControlSocket< CfgControlSocket::Type::HTTP > | ( | CfgControlSocketPtr | ctrl_sock | ) |

Factory template specialization for http control sockets.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a http control socket communication object.

Definition at line 31 of file http_control_socket.cc.

## ◆ createControlSocket< CfgControlSocket::Type::STDOUT >() [1/2]

template<>

ControlSocketBasePtr isc::netconf::createControlSocket< CfgControlSocket::Type::STDOUT > | ( | CfgControlSocketPtr | ctrl_sock | ) |

Factory template specialization for stdout control sockets.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a stdout control socket communication object.

Definition at line 24 of file stdout_control_socket.cc.

## ◆ createControlSocket< CfgControlSocket::Type::STDOUT >() [2/2]

template<>

ControlSocketBasePtr isc::netconf::createControlSocket< CfgControlSocket::Type::STDOUT > | ( | CfgControlSocketPtr | ctrl_sock | ) |

Factory template specialization for stdout control sockets.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a stdout control socket communication object.

Definition at line 24 of file stdout_control_socket.cc.

## ◆ createControlSocket< CfgControlSocket::Type::UNIX >() [1/2]

template<>

ControlSocketBasePtr isc::netconf::createControlSocket< CfgControlSocket::Type::UNIX > | ( | CfgControlSocketPtr | ctrl_sock | ) |

Factory template specialization for unix control sockets.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a unix control socket communication object.

Definition at line 29 of file unix_control_socket.cc.

## ◆ createControlSocket< CfgControlSocket::Type::UNIX >() [2/2]

template<>

ControlSocketBasePtr isc::netconf::createControlSocket< CfgControlSocket::Type::UNIX > | ( | CfgControlSocketPtr | ctrl_sock | ) |

Factory template specialization for unix control sockets.

Parameters

  ctrl_sock | The control socket configuration.

Returns
  A pointer to a unix control socket communication object.

Definition at line 29 of file unix_control_socket.cc.

## ◆ operator<<()

std::ostream & isc::netconf::operator<< | ( | std::ostream & | os,
|  | const CfgServer & | server )

Dumps the contents of a CfgServer as text to a output stream.

Parameters

  os | The output stream to which text should be sent.
  server | The CfgServer instance to dump.

Definition at line 123 of file netconf_config.cc.

References isc::netconf::CfgServer::toText().

Here is the call graph for this function:

## Variable Documentation

## ◆ NETCONF_BOOT_UPDATE_COMPLETED

const isc::log::MessageID isc::netconf::NETCONF_BOOT_UPDATE_COMPLETED = "NETCONF_BOOT_UPDATE_COMPLETED"
| extern

Definition at line 11 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::yangConfig().

## ◆ NETCONF_CONFIG_CHANGE_EVENT

const isc::log::MessageID isc::netconf::NETCONF_CONFIG_CHANGE_EVENT = "NETCONF_CONFIG_CHANGE_EVENT"
| extern

Definition at line 13 of file netconf_messages.h.

## ◆ NETCONF_CONFIG_CHANGED_DETAIL

const isc::log::MessageID isc::netconf::NETCONF_CONFIG_CHANGED_DETAIL = "NETCONF_CONFIG_CHANGED_DETAIL"
| extern

Definition at line 12 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::logChanges().

## ◆ NETCONF_CONFIG_CHECK_FAIL

const isc::log::MessageID isc::netconf::NETCONF_CONFIG_CHECK_FAIL = "NETCONF_CONFIG_CHECK_FAIL"
| extern

Definition at line 14 of file netconf_messages.h.

Referenced by isc::netconf::NetconfCfgMgr::parse().

## ◆ NETCONF_CONFIG_FAIL

const isc::log::MessageID isc::netconf::NETCONF_CONFIG_FAIL = "NETCONF_CONFIG_FAIL"
| extern

Definition at line 15 of file netconf_messages.h.

Referenced by isc::netconf::NetconfCfgMgr::parse().

## ◆ NETCONF_CONFIG_SYNTAX_WARNING

const isc::log::MessageID isc::netconf::NETCONF_CONFIG_SYNTAX_WARNING = "NETCONF_CONFIG_SYNTAX_WARNING"
| extern

Definition at line 16 of file netconf_messages.h.

Referenced by isc::netconf::ParserContext::warning().

## ◆ NETCONF_CONTROL_SOCKET_INFO

const isc::log::MessageID isc::netconf::NETCONF_CONTROL_SOCKET_INFO = "NETCONF_CONTROL_SOCKET_INFO"
| extern

Definition at line 17 of file netconf_messages.h.

Referenced by isc::netconf::ControlSocketConfigParser::parse().

## ◆ NETCONF_DBG_RESULTS

const int isc::netconf::NETCONF_DBG_RESULTS = isc::log::DBGLVL_TRACE_BASIC_DATA
| extern

Records the results of the commands.

Using the example of tracing commands to a server, this will just record the summary results.

Definition at line 35 of file netconf_log.h.

## ◆ NETCONF_DBG_TRACE

const int isc::netconf::NETCONF_DBG_TRACE = isc::log::DBGLVL_TRACE_BASIC
| extern

Netconf agent logging levels.

Defines the levels used to output debug messages in the Netconf agent. Note that higher numbers equate to more verbose (and detailed) output.

Traces normal operations.

E.g. sending a command to a server etc.

Definition at line 29 of file netconf_log.h.

## ◆ NETCONF_DBG_TRACE_DETAIL_DATA

const int isc::netconf::NETCONF_DBG_TRACE_DETAIL_DATA = isc::log::DBGLVL_TRACE_DETAIL_DATA
| extern

Additional information.

Record detailed tracing. This is generally reserved for tracing configurations from or to a server.

Definition at line 41 of file netconf_log.h.

Referenced by isc::netconf::NetconfAgent::change(), isc::netconf::NetconfAgent::done(), isc::netconf::NetconfAgent::keaConfig(), isc::netconf::NetconfAgent::logChanges(), and isc::netconf::NetconfAgent::yangConfig().

## ◆ NETCONF_FAILED

const isc::log::MessageID isc::netconf::NETCONF_FAILED = "NETCONF_FAILED"
| extern

Definition at line 18 of file netconf_messages.h.

Referenced by isc::netconf::NetconfProcess::run().

## ◆ NETCONF_GET_CONFIG

const isc::log::MessageID isc::netconf::NETCONF_GET_CONFIG = "NETCONF_GET_CONFIG"
| extern

Definition at line 19 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::keaConfig().

## ◆ NETCONF_GET_CONFIG_FAILED

const isc::log::MessageID isc::netconf::NETCONF_GET_CONFIG_FAILED = "NETCONF_GET_CONFIG_FAILED"
| extern

Definition at line 20 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::keaConfig().

## ◆ NETCONF_GET_CONFIG_STARTED

const isc::log::MessageID isc::netconf::NETCONF_GET_CONFIG_STARTED = "NETCONF_GET_CONFIG_STARTED"
| extern

Definition at line 21 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::keaConfig().

## ◆ netconf_logger

isc::log::Logger isc::netconf::netconf_logger | ( | NETCONF_LOGGER_NAME |  | ) |

Base logger for the netconf agent.

Definition at line 49 of file netconf_log.h.

Referenced by isc::netconf::NetconfAgent::change(), isc::netconf::NetconfAgent::checkModule(), isc::netconf::NetconfAgent::checkModules(), isc::netconf::NetconfAgent::done(), isc::netconf::NetconfAgent::keaConfig(), isc::netconf::NetconfAgent::logChanges(), isc::netconf::ControlSocketConfigParser::parse(), isc::netconf::NetconfCfgMgr::parse(), isc::netconf::NetconfProcess::run(), isc::netconf::NetconfAgent::subscribeToDataChanges(), isc::netconf::NetconfAgent::subscribeToNotifications(), isc::netconf::ParserContext::warning(), and isc::netconf::NetconfAgent::yangConfig().

## ◆ NETCONF_LOGGER_NAME

const char * isc::netconf::NETCONF_LOGGER_NAME = "netconf"

Defines the name of the root level (default) logger.

Definition at line 21 of file netconf_log.cc.

## ◆ NETCONF_MODULE_CHANGE_INTERNAL_ERROR

const isc::log::MessageID isc::netconf::NETCONF_MODULE_CHANGE_INTERNAL_ERROR = "NETCONF_MODULE_CHANGE_INTERNAL_ERROR"
| extern

Definition at line 22 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::subscribeToDataChanges().

## ◆ NETCONF_MODULE_MISSING_ERR

const isc::log::MessageID isc::netconf::NETCONF_MODULE_MISSING_ERR = "NETCONF_MODULE_MISSING_ERR"
| extern

Definition at line 23 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::checkModule().

## ◆ NETCONF_MODULE_MISSING_WARN

const isc::log::MessageID isc::netconf::NETCONF_MODULE_MISSING_WARN = "NETCONF_MODULE_MISSING_WARN"
| extern

Definition at line 24 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::checkModules().

## ◆ NETCONF_MODULE_REVISION_ERR

const isc::log::MessageID isc::netconf::NETCONF_MODULE_REVISION_ERR = "NETCONF_MODULE_REVISION_ERR"
| extern

Definition at line 25 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::checkModule().

## ◆ NETCONF_MODULE_REVISION_WARN

const isc::log::MessageID isc::netconf::NETCONF_MODULE_REVISION_WARN = "NETCONF_MODULE_REVISION_WARN"
| extern

Definition at line 26 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::checkModules().

## ◆ NETCONF_NOT_SUBSCRIBED_TO_NOTIFICATIONS

const isc::log::MessageID isc::netconf::NETCONF_NOT_SUBSCRIBED_TO_NOTIFICATIONS = "NETCONF_NOT_SUBSCRIBED_TO_NOTIFICATIONS"
| extern

Definition at line 29 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::subscribeToNotifications().

## ◆ NETCONF_NOTIFICATION_INTERNAL_ERROR

const isc::log::MessageID isc::netconf::NETCONF_NOTIFICATION_INTERNAL_ERROR = "NETCONF_NOTIFICATION_INTERNAL_ERROR"
| extern

Definition at line 27 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::subscribeToNotifications().

## ◆ NETCONF_NOTIFICATION_RECEIVED

const isc::log::MessageID isc::netconf::NETCONF_NOTIFICATION_RECEIVED = "NETCONF_NOTIFICATION_RECEIVED"
| extern

Definition at line 28 of file netconf_messages.h.

## ◆ NETCONF_RUN_EXIT

const isc::log::MessageID isc::netconf::NETCONF_RUN_EXIT = "NETCONF_RUN_EXIT"
| extern

Definition at line 30 of file netconf_messages.h.

Referenced by isc::netconf::NetconfProcess::run().

## ◆ NETCONF_SET_CONFIG

const isc::log::MessageID isc::netconf::NETCONF_SET_CONFIG = "NETCONF_SET_CONFIG"
| extern

Definition at line 31 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::yangConfig().

## ◆ NETCONF_SET_CONFIG_FAILED

const isc::log::MessageID isc::netconf::NETCONF_SET_CONFIG_FAILED = "NETCONF_SET_CONFIG_FAILED"
| extern

Definition at line 32 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::yangConfig().

## ◆ NETCONF_SET_CONFIG_STARTED

const isc::log::MessageID isc::netconf::NETCONF_SET_CONFIG_STARTED = "NETCONF_SET_CONFIG_STARTED"
| extern

Definition at line 33 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::yangConfig().

## ◆ NETCONF_STARTED

const isc::log::MessageID isc::netconf::NETCONF_STARTED = "NETCONF_STARTED"
| extern

Definition at line 34 of file netconf_messages.h.

Referenced by isc::netconf::NetconfProcess::run().

## ◆ NETCONF_SUBSCRIBE_CONFIG

const isc::log::MessageID isc::netconf::NETCONF_SUBSCRIBE_CONFIG = "NETCONF_SUBSCRIBE_CONFIG"
| extern

Definition at line 35 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::subscribeToDataChanges().

## ◆ NETCONF_SUBSCRIBE_CONFIG_FAILED

const isc::log::MessageID isc::netconf::NETCONF_SUBSCRIBE_CONFIG_FAILED = "NETCONF_SUBSCRIBE_CONFIG_FAILED"
| extern

Definition at line 36 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::subscribeToDataChanges().

## ◆ NETCONF_SUBSCRIBE_NOTIFICATIONS

const isc::log::MessageID isc::netconf::NETCONF_SUBSCRIBE_NOTIFICATIONS = "NETCONF_SUBSCRIBE_NOTIFICATIONS"
| extern

Definition at line 37 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::subscribeToNotifications().

## ◆ NETCONF_UPDATE_CONFIG

const isc::log::MessageID isc::netconf::NETCONF_UPDATE_CONFIG = "NETCONF_UPDATE_CONFIG"
| extern

Definition at line 38 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::done().

## ◆ NETCONF_UPDATE_CONFIG_COMPLETED

const isc::log::MessageID isc::netconf::NETCONF_UPDATE_CONFIG_COMPLETED = "NETCONF_UPDATE_CONFIG_COMPLETED"
| extern

Definition at line 39 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::done().

## ◆ NETCONF_UPDATE_CONFIG_FAILED

const isc::log::MessageID isc::netconf::NETCONF_UPDATE_CONFIG_FAILED = "NETCONF_UPDATE_CONFIG_FAILED"
| extern

Definition at line 40 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::done().

## ◆ NETCONF_UPDATE_CONFIG_STARTED

const isc::log::MessageID isc::netconf::NETCONF_UPDATE_CONFIG_STARTED = "NETCONF_UPDATE_CONFIG_STARTED"
| extern

Definition at line 41 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::done().

## ◆ NETCONF_VALIDATE_CONFIG

const isc::log::MessageID isc::netconf::NETCONF_VALIDATE_CONFIG = "NETCONF_VALIDATE_CONFIG"
| extern

Definition at line 42 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::change().

## ◆ NETCONF_VALIDATE_CONFIG_COMPLETED

const isc::log::MessageID isc::netconf::NETCONF_VALIDATE_CONFIG_COMPLETED = "NETCONF_VALIDATE_CONFIG_COMPLETED"
| extern

Definition at line 43 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::change().

## ◆ NETCONF_VALIDATE_CONFIG_FAILED

const isc::log::MessageID isc::netconf::NETCONF_VALIDATE_CONFIG_FAILED = "NETCONF_VALIDATE_CONFIG_FAILED"
| extern

Definition at line 44 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::change().

## ◆ NETCONF_VALIDATE_CONFIG_REJECTED

const isc::log::MessageID isc::netconf::NETCONF_VALIDATE_CONFIG_REJECTED = "NETCONF_VALIDATE_CONFIG_REJECTED"
| extern

Definition at line 45 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::change().

## ◆ NETCONF_VALIDATE_CONFIG_STARTED

const isc::log::MessageID isc::netconf::NETCONF_VALIDATE_CONFIG_STARTED = "NETCONF_VALIDATE_CONFIG_STARTED"
| extern

Definition at line 46 of file netconf_messages.h.

Referenced by isc::netconf::NetconfAgent::change().